#!/usr/bin/python

from firefighter import FireFighter
from f3firefighter import F3FireFighter


print('--- einfache Klassennutzung ---')

# create firefighters
yannic = FireFighter("Yannic") # calls constructor ("__init__")
daniel = FireFighter("Daniel")
robin = FireFighter("Robin")

# start agt on each firefighter
yannic.beginAGT(310)
daniel.beginAGT(310)
robin.beginAGT(300)

# end agt on each firefighter
yannic.endAGT(160)
daniel.endAGT(210)
robin.endAGT(210)

# print remaining pressure
yannic.printPressure()
daniel.printPressure()
robin.printPressure()

print('\n--- das Gleiche nochmal mit Klassenvererbung ---')

# create firefighters
yannic = F3FireFighter("Yannic")
daniel = FireFighter("Daniel")
robin = FireFighter("Robin")

# start agt on each firefighter
yannic.beginAGT(310)
daniel.beginAGT(310)
robin.beginAGT(300)

# end agt on each firefighter
yannic.endAGT(160)
daniel.endAGT(210)
robin.endAGT(210)

# print remaining pressure
yannic.printPressure()
daniel.printPressure()
robin.printPressure()


